<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\NewCode;
use Teknisa\MAN\Utilities;


class relQuebraCaixaService {

	public function __construct(EntityManager $entityManager, newCode $newCode) {
        $this->entityManager = $entityManager;
        $this->newCode = $newCode;
    }


    public function quebraCaixaParamBuild($conditions){
       $params = array (      
            'P_NRORG'          => $conditions['NRORG'],
            'P_CDFILIAL'       => $conditions['CDFILIAL'],
            'P_TCDFILIAL'      => $conditions['TCDFILIAL'],
            'P_CDCAIXA'        => (!$conditions['CDFILIAL']) ? null : $conditions['CDCAIXA'],
            'P_TCDCAIXA'       => (!$conditions['CDFILIAL']) ? 'T'  : $conditions['TCDCAIXA'], 
            'P_CDLOJA'         => (!$conditions['CDFILIAL']) ? null : $conditions['CDLOJA'],
            'P_TCDLOJA'        => (!$conditions['CDFILIAL']) ? 'T'  : $conditions['TCDLOJA'],
            'P_DTABERTUR'      => (!$conditions['CDFILIAL']) ? null : $conditions['DTABERTUR'],
            'P_TDTABERTUR'     => (!$conditions['CDFILIAL']) ? 'T'  : $conditions['TDTABERTUR'],
            'P_DATAINI'        => $conditions['DATAINI'],
            'P_DATAFIN'        => $conditions['DATAFIN']
        );
        
        $params = array(
            'ParametersRow' => $params,
            'ReportName'    => 'relQuebraCaixa'
        );
        return $params;
    }
}